3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function foo() { try { throw new Exception("ex1"); } finally { try { throw new Exception("ex2"); } catch (Exception $e) { echo "caught exception: $e ....\n"; } echo "end of finally.\n"; } } foo();
based on Ph9NM
Output for 7.0.0 - 7.2.0
caught exception: Exception: ex2 in /in/VhoWW:8 Stack trace: #0 /in/VhoWW(15): foo() #1 {main} .... end of finally. Fatal error: Uncaught Exception: ex1 in /in/VhoWW:5 Stack trace: #0 /in/VhoWW(15): foo() #1 {main} thrown in /in/VhoWW on line 5
Process exited with code 255.
Output for 5.6.0 - 5.6.28
caught exception: exception 'Exception' with message 'ex2' in /in/VhoWW:8 Stack trace: #0 /in/VhoWW(15): foo() #1 {main} .... end of finally. Fatal error: Uncaught exception 'Exception' with message 'ex1' in /in/VhoWW:5 Stack trace: #0 /in/VhoWW(15): foo() #1 {main} thrown in /in/VhoWW on line 5
Process exited with code 255.
Output for 5.5.0 - 5.5.38
caught exception: exception 'Exception' with message 'ex1' in /in/VhoWW:5 Stack trace: #0 /in/VhoWW(15): foo() #1 {main} Next exception 'Exception' with message 'ex2' in /in/VhoWW:8 Stack trace: #0 /in/VhoWW(15): foo() #1 {main} .... end of finally.
Output for 5.4.0 - 5.4.45
Parse error: syntax error, unexpected 'finally' (T_STRING), expecting catch (T_CATCH) in /in/VhoWW on line 6
Process exited with code 255.